Subject: Re: stash-p broken?

From: Junio C Hamano <[email-masked]>
Date: Tue, 29 Jul 2014 10:00:22 -0700

Jeff King <[email-masked]> writes:

> So perhaps we could do something better on the viewing side, and
> "simplify" combined merges for files with all-identical parents.

Or you can ask to show the difference with the first parent, no?

I do not think giving a single-parent diff when --cc/-c is asked
for, which is a clear indication that the caller is aware that the
commit in question is a merge, is such a good idea.